# Page Not Found

The URL `gitbook-api/api-reference` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Extensions reference](https://gitbook.com/docs/api-references/extensions-reference.md)
- [What is GitBook Agent?](https://gitbook.com/docs/gitbook-agent/what-is-gitbook-agent.md)
- [Channels](https://gitbook.com/docs/gitbook-agent/channels.md)
- [API Reference](https://gitbook.com/docs/docs-site/embedding/configuration/reference.md)
- [Writing with GitBook Agent](https://gitbook.com/docs/gitbook-agent/write-and-edit-with-ai.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://gitbook.com/docs/api-references/extensions-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://gitbook.com/docs/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://gitbook.com/docs/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/docs/api-references/extensions-reference.md`).

You may also use `Accept: text/markdown` header for content negotiation.
